package com.ms.biz.service.impl;

import com.ms.dal.entity.RefundPurchaseOrderSku;
import com.ms.biz.service.RefundPurchaseOrderSkuService;
import com.ms.dal.mapper.RefundPurchaseOrderSkuMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 *
 */
@Service
public class RefundPurchaseOrderSkuServiceImpl implements RefundPurchaseOrderSkuService{

    @Autowired
    private RefundPurchaseOrderSkuMapper refundPurchaseOrderSkuMapper;

    @Override
    public int deleteByPrimaryKey(Long id) {
        return refundPurchaseOrderSkuMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int insert(RefundPurchaseOrderSku record) {
        return refundPurchaseOrderSkuMapper.insert(record);
    }

    @Override
    public int insertSelective(RefundPurchaseOrderSku record) {
        return refundPurchaseOrderSkuMapper.insertSelective(record);
    }

    @Override
    public RefundPurchaseOrderSku selectByPrimaryKey(Long id) {
        return refundPurchaseOrderSkuMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByPrimaryKeySelective(RefundPurchaseOrderSku record) {
        return refundPurchaseOrderSkuMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(RefundPurchaseOrderSku record) {
        return refundPurchaseOrderSkuMapper.updateByPrimaryKey(record);
    }

}




